Verbindungsproblem zum Garnet Simulator 5.4

  • Hi alle,


    ich hab mir mal die Garnet OS Developer Suite heruntergeladen und es auch nach einigem Würgen mi meinem bereits installierten und aktuellen Cygwin zum Laufen bekommen!


    Applikation kann ich jetzt also erstellen und wenn ich die zum Testen direkt auf den Garnet Simulator 5.4 ziehen, dann Laufen die auch.


    Dem Simulatot habe ich inzwischen auch schon beigebracht, das er fest auf Port 2000 lauscht und mein Firewall sträubt sich auch nicht mehr gegen die Verbindung!


    Denoch bekomme ich von der Eclipse-IDE aus einfach keine Verbindung zum Simulator! In den Details der Fehlermeldung steht leider nichts drin!


    In irgendeinem Forumsbeitrag habe ich gelesen, das man angeblich ein englisches "netstat" braucht, damit die Verbindung funktioniert!? Ist das immer noch so?


    ~ HD ~

    "Es kann passieren, was will: Es gibt immer einen, der es kommen sah."
    (Fernandel, französischer Schauspieler, 1903-1971, auch bekannt als 'Don Camillo')

  • Hi Logan,


    danke für den Archiv-Link!


    Ein englisches netstat habe ich mir inzwischen auch schon besorgt, bzw. auch eine Art netstat-Wrapper. Geholfen hat beides nicht! ;(


    Was ich inzwischen zum Laufen bekommen habe ist die Verbindung zwischen dem Simulator und dem extern gestarteten Debugger!


    Wen ich aber den Debugger von der IDE aus starte, bekomme ich jetzt die folgende Fehlermeldung:



    Ein Update der IDE hab ich auch schon vorgenommen, aber vielleicht war es ja nicht das richtige? :(


    ~ HD (Hans-Dieter :zwinkert:) ~

    "Es kann passieren, was will: Es gibt immer einen, der es kommen sah."
    (Fernandel, französischer Schauspieler, 1903-1971, auch bekannt als 'Don Camillo')

  • Also,


    ich glaub es einfach nicht! 8o


    Nach der Anleitung im Forumsbeitrag [URL=http://www.beam-ebooks.de/phorum/read.php?6,130962,131245]'Problem mit Palm Developer Suite'[/URL] habe ich mein WinXP 'netstat' gepacht und es funktioniert!!!


    Grundgütiger Himmel, ich bin selber SW-Entwickler, aber wie kann man so eine Sch... programmieren! X(


    ~ HD ~

    "Es kann passieren, was will: Es gibt immer einen, der es kommen sah."
    (Fernandel, französischer Schauspieler, 1903-1971, auch bekannt als 'Don Camillo')

  • Hallo HD,


    ich habe hier PODS Version 1.2. Was meinst Du mit "...ein Update der IDE habe ich auch schon vorgenommen."? Hast Du auf Eclipse 3.2 geupdated?



    Viele Grüße,
    Logan

  • Hi Logan,


    mein PODS ist folgende Version:


    Code
    Garnet OS Development Suite
    
    
    Version:  1.2.1.02
    Build ID: 02E_121PA


    Eclipse hat bei mir die Version 3.0.2.


    Wie hast du in deinem PODS Eclipse auf 3.2 updaten können?


    Ich bekomme da keine weiteren Updates mehr angezeigt!


    ~ HD ~

    "Es kann passieren, was will: Es gibt immer einen, der es kommen sah."
    (Fernandel, französischer Schauspieler, 1903-1971, auch bekannt als 'Don Camillo')